package com.google.android.play.core.e;

import com.bytedance.covode.number.Covode;
import java.util.concurrent.atomic.AtomicReference;

public enum ah implements aa {
    ;
    
    public static final AtomicReference<ab> LIZ = null;

    /* access modifiers changed from: public */
    static {
        Covode.recordClassIndex(44345);
        a = new ah();
        LIZ = new AtomicReference<>((Object) null);
    }

    /* access modifiers changed from: public */
    ah() {
    }

    public final ab a() {
        return LIZ.get();
    }

    public final void b(ab abVar) {
        LIZ.set(abVar);
    }
}
